CVE Vulnerabilities

CVE-2015-0209

Published: Mar 19, 2015 | Modified: Nov 07, 2023
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
6.8 MEDIUM
AV:N/AC:M/Au:N/C:P/I:P/A:P
RedHat/V2
5.1 LOW
AV:N/AC:H/Au:N/C:P/I:P/A:P
RedHat/V3
Ubuntu
LOW

Use-after-free vulnerability in the d2i_ECPrivateKey function in crypto/ec/ec_asn1.c in OpenSSL before 0.9.8zf, 1.0.0 before 1.0.0r, 1.0.1 before 1.0.1m, and 1.0.2 before 1.0.2a might allow remote attackers to cause a denial of service (memory corruption and application crash) or possibly have unspecified other impact via a malformed Elliptic Curve (EC) private-key file that is improperly handled during import.

Affected Software

Name Vendor Start Version End Version
Openssl Openssl * 0.9.8ze (including)
Openssl Openssl 1.0.0 (including) 1.0.0 (including)
Openssl Openssl 1.0.0a (including) 1.0.0a (including)
Openssl Openssl 1.0.0b (including) 1.0.0b (including)
Openssl Openssl 1.0.0c (including) 1.0.0c (including)
Openssl Openssl 1.0.0d (including) 1.0.0d (including)
Openssl Openssl 1.0.0e (including) 1.0.0e (including)
Openssl Openssl 1.0.0f (including) 1.0.0f (including)
Openssl Openssl 1.0.0g (including) 1.0.0g (including)
Openssl Openssl 1.0.0h (including) 1.0.0h (including)
Openssl Openssl 1.0.0i (including) 1.0.0i (including)
Openssl Openssl 1.0.0j (including) 1.0.0j (including)
Openssl Openssl 1.0.0k (including) 1.0.0k (including)
Openssl Openssl 1.0.0l (including) 1.0.0l (including)
Openssl Openssl 1.0.0m (including) 1.0.0m (including)
Openssl Openssl 1.0.0n (including) 1.0.0n (including)
Openssl Openssl 1.0.0o (including) 1.0.0o (including)
Openssl Openssl 1.0.0p (including) 1.0.0p (including)
Openssl Openssl 1.0.0q (including) 1.0.0q (including)
Openssl Openssl 1.0.1 (including) 1.0.1 (including)
Openssl Openssl 1.0.1a (including) 1.0.1a (including)
Openssl Openssl 1.0.1b (including) 1.0.1b (including)
Openssl Openssl 1.0.1c (including) 1.0.1c (including)
Openssl Openssl 1.0.1d (including) 1.0.1d (including)
Openssl Openssl 1.0.1e (including) 1.0.1e (including)
Openssl Openssl 1.0.1f (including) 1.0.1f (including)
Openssl Openssl 1.0.1g (including) 1.0.1g (including)
Openssl Openssl 1.0.1h (including) 1.0.1h (including)
Openssl Openssl 1.0.1i (including) 1.0.1i (including)
Openssl Openssl 1.0.1j (including) 1.0.1j (including)
Openssl Openssl 1.0.1k (including) 1.0.1k (including)
Openssl Openssl 1.0.1l (including) 1.0.1l (including)
Openssl Openssl 1.0.2 (including) 1.0.2 (including)
Red Hat Enterprise Linux 6 RedHat openssl-0:1.0.1e-30.el6_6.7 *
Red Hat Enterprise Linux 7 RedHat openssl-1:1.0.1e-42.ael7b_1.4 *
Red Hat JBoss Core Services 1 RedHat *
Red Hat JBoss Web Server 3.0 RedHat *
Red Hat Storage 2.1 RedHat openssl-0:1.0.1e-30.el6_6.7 *
Openssl Ubuntu artful *
Openssl Ubuntu bionic *
Openssl Ubuntu cosmic *
Openssl Ubuntu devel *
Openssl Ubuntu disco *
Openssl Ubuntu esm-infra/bionic *
Openssl Ubuntu esm-infra/xenial *
Openssl Ubuntu lucid *
Openssl Ubuntu precise *
Openssl Ubuntu precise/esm *
Openssl Ubuntu trusty *
Openssl Ubuntu trusty/esm *
Openssl Ubuntu utopic *
Openssl Ubuntu vivid *
Openssl Ubuntu vivid/stable-phone-overlay *
Openssl Ubuntu vivid/ubuntu-core *
Openssl Ubuntu wily *
Openssl Ubuntu xenial *
Openssl Ubuntu yakkety *
Openssl Ubuntu zesty *
Openssl098 Ubuntu precise *
Openssl098 Ubuntu trusty *
Openssl098 Ubuntu utopic *
Openssl098 Ubuntu vivid *

References